import request from '@/utils/request'

// 查询项目保险列表
export function listSurProjectInsurance(query) {
  return request({
    url: '/project/surProjectInsurance/list',
    method: 'get',
    params: query
  })
}

// 查询项目保险列表
export function listSurProjectInsurancev2(query) {
  return request({
    url: '/project/surProjectInsurance/listv2',
    method: 'get',
    params: query
  })
}

// 查询项目保险详细
export function getSurProjectInsurance(id) {
  return request({
    url: '/project/surProjectInsurance/' + id,
    method: 'get'
  })
}

// 新增项目保险
export function addSurProjectInsurance(data) {
  return request({
    url: '/project/surProjectInsurance',
    method: 'post',
    data: data
  })
}

// 修改项目保险
export function updateSurProjectInsurance(data) {
  return request({
    url: '/project/surProjectInsurance',
    method: 'put',
    data: data
  })
}

// 删除项目保险
export function delSurProjectInsurance(id) {
  return request({
    url: '/project/surProjectInsurance/' + id,
    method: 'delete'
  })
}
